Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.comadapter.comruntime
Class STCHResult

    java.lang.Object
      com.stc.connector.comadapter.comruntime.STCHResult

    public class STCHResult

extends java.lang.Object

The STCHResult class wraps the COM HRESULT type. It includes several of the more common HRESULT values as public final integers.

Field Summary
`static int` | `E_ABORT`
`static int` | `E_FAIL`
`static int` | `E_POINTER`
`static int` | `E_UNEXPECTED`
`static int` | `S_FALSE`
`static int` | `S_OK`

Constructor Summary
`STCHResult(int hr)` Constructor for the class.

Method Summary
`int` | `getHResult()` Returns the hResult.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_OK

    public static final int S_OK

See Also:
  Constant Field Values

### S_FALSE

    public static final int S_FALSE

See Also:
  Constant Field Values

### E_ABORT

    public static final int E_ABORT

See Also:
  Constant Field Values

### E_FAIL

    public static final int E_FAIL

See Also:
  Constant Field Values

### E_POINTER

    public static final int E_POINTER

See Also:
  Constant Field Values

### E_UNEXPECTED

    public static int E_UNEXPECTED

Constructor Detail

### STCHResult

    public STCHResult(int hr)

  Constructor for the class.

  Parameters:
    `hr` - The hResult.
  Throws:
    None.

Method Detail

### getHResult

    public int getHResult()

  Returns the hResult.

  Parameters:
    None.

  Returns:
    `int` - Returns the hResult.
  Throws:
    None.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.